import { useEffect, useState } from "react";
import ArticleCard from "./ArticleCard";
import { ArticlePreview } from "../types";

export default function ArticlesSection() {

    const [articlePreviews, setArticlePreviews] = useState<ArticlePreview[]>([]);

    useEffect(() => {
        fetch('/api/article')
            .then(response => {
                //response.json()
                return [
                    {
                        id: 1,
                        title: "Qu'est-ce que le Lorem Ipsum?",
                        preview: "Le Lorem Ipsum est simplement du faux texte employé dans la composition et la mise en page avant impression. Le Lorem Ipsum est le faux texte standard de l'imprimerie depuis les années 1500, quand un imprimeur anonyme assembla ensemble des morceaux de texte pour réaliser un livre spécimen de polices de texte. Il n'a pas fait que survivre cinq siècles, mais s'est aussi adapté à la bureautique informatique, sans que son contenu n'en soit modifié. Il a été popularisé dans les années 1960 grâce à la vente de feuilles Letraset contenant des passages du Lorem Ipsum, et, plus récemment, par son inclusion dans des applications de mise en page de texte, comme Aldus PageMaker.",
                    },
                    {
                        id: 2,
                        title: "Pourquoi l'utiliser?",
                        preview: "On sait depuis longtemps que travailler avec du texte lisible et contenant du sens est source de distractions, et empêche de se concentrer sur la mise en page elle-même. L'avantage du Lorem Ipsum sur un texte générique comme 'Du texte. Du texte. Du texte.' est qu'il possède une distribution de lettres plus ou moins normale, et en tout cas comparable avec celle du français standard. De nombreuses suites logicielles de mise en page ou éditeurs de sites Web ont fait du Lorem Ipsum leur faux texte par défaut, et une recherche pour 'Lorem Ipsum' vous conduira vers de nombreux sites qui n'en sont encore qu'à leur phase de construction. Plusieurs versions sont apparues avec le temps, parfois par accident, souvent intentionnellement (histoire d'y rajouter de petits clins d'oeil, voire des phrases embarassantes).",
                    },
                    {
                        id: 3,
                        title: "Title",
                        preview: "Preview",
                    },
                ]
            })
            .then((data: ArticlePreview[]) => setArticlePreviews(data));
    }, []);

    return (
        <div className="row" style={{
            display: 'flex',
            flexWrap: 'wrap',
            justifyContent: 'space-around',
            backgroundColor: 'var(--color-verydarkblue)',
        }}>
            <h1 style={{
                color: 'var(--color-yellow)',
                fontFamily: '"Haas Grot Text R Web", "Helvetica Neue", Helvetica, Arial, sans-serif',
                fontSize: '32px',
                fontWeight: '500',
                lineHeight: '30px',
                margin: '20px',
                padding: '10px',
                paddingBottom: '0',
                marginBottom: '10px',
                textAlign: 'center',
                width: '100%',
            }}>Articles</h1>
            {articlePreviews.map(articlePreview => (
                <ArticleCard key={articlePreview.id} articlePreview={articlePreview} />
            ))}
        </div>
    )
}
